Package org.flowable.batch.api

# Interface BatchPartQuery

All Superinterfaces:
  `Query<BatchPartQuery,BatchPart>`

public interface BatchPartQuery extends Query<BatchPartQuery,BatchPart>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BatchPartQuery`
  `batchId(String batchId)`
  Only select batch parts with the given batch id
  `BatchPartQuery`
  `batchSearchKey(String searchKey)`
  Only select batch parts with the given batch search key.
  `BatchPartQuery`
  `batchSearchKey2(String searchKey2)`
  Only select batch parts with the batch given search key.
  `BatchPartQuery`
  `batchType(String batchType)`
  Only select batch parts with the given batch type.
  `BatchPartQuery`
  `completed()`
  Only select batch parts that have been completed.
  `BatchPartQuery`
  `id(String id)`
  Only select batch parts with the given id
  `BatchPartQuery`
  `orderByBatchId()`
  Order by batch id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `BatchPartQuery`
  `orderByCreateTime()`
  Order by batch part create time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `BatchPartQuery`
  `scopeId(String scopeId)`
  Only select batch parts with the given scope id.
  `BatchPartQuery`
  `scopeType(String scopeType)`
  Only select batch parts with the given scope type.
  `BatchPartQuery`
  `searchKey(String searchKey)`
  Only select batch parts with the given search key.
  `BatchPartQuery`
  `searchKey2(String searchKey2)`
  Only select batch parts with the given search key.
  `BatchPartQuery`
  `status(String status)`
  Only select batch parts with the given status.
  `BatchPartQuery`
  `subScopeId(String subScopeId)`
  Only select batch parts with the given sub scope id.
  `BatchPartQuery`
  `tenantId(String tenantId)`
  Only select batch parts with the given tenant id.
  `BatchPartQuery`
  `tenantIdLike(String tenantIdLike)`
  Only select batch parts with a tenant id like the given one.
  `BatchPartQuery`
  `type(String type)`
  Only select batch parts with the given type.
  `BatchPartQuery`
  `withoutTenantId()`
  Only select batch parts that do not have a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    BatchPartQuery id(String id)
    Only select batch parts with the given id

  - ### batchId

    BatchPartQuery batchId(String batchId)
    Only select batch parts with the given batch id

  - ### type

    BatchPartQuery type(String type)
    Only select batch parts with the given type.

  - ### searchKey

    BatchPartQuery searchKey(String searchKey)
    Only select batch parts with the given search key.

  - ### searchKey2

    BatchPartQuery searchKey2(String searchKey2)
    Only select batch parts with the given search key.

  - ### batchType

    BatchPartQuery batchType(String batchType)
    Only select batch parts with the given batch type.

  - ### batchSearchKey

    BatchPartQuery batchSearchKey(String searchKey)
    Only select batch parts with the given batch search key.

  - ### batchSearchKey2

    BatchPartQuery batchSearchKey2(String searchKey2)
    Only select batch parts with the batch given search key.

  - ### status

    BatchPartQuery status(String status)
    Only select batch parts with the given status.

  - ### scopeId

    BatchPartQuery scopeId(String scopeId)
    Only select batch parts with the given scope id.

  - ### subScopeId

    BatchPartQuery subScopeId(String subScopeId)
    Only select batch parts with the given sub scope id.

  - ### scopeType

    BatchPartQuery scopeType(String scopeType)
    Only select batch parts with the given scope type.

  - ### tenantId

    BatchPartQuery tenantId(String tenantId)
    Only select batch parts with the given tenant id.

  - ### tenantIdLike

    BatchPartQuery tenantIdLike(String tenantIdLike)
    Only select batch parts with a tenant id like the given one.

  - ### withoutTenantId

    BatchPartQuery withoutTenantId()
    Only select batch parts that do not have a tenant id.

  - ### completed

    BatchPartQuery completed()
    Only select batch parts that have been completed.

  - ### orderByBatchId

    BatchPartQuery orderByBatchId()
    Order by batch id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByCreateTime

    BatchPartQuery orderByCreateTime()
    Order by batch part create time (needs to be followed by `Query.asc()` or `Query.desc()`).